JacocoPlugin (Gradle API 8.11)

Package org.gradle.testing.jacoco.plugins

## Class JacocoPlugin

- java.lang.Object
- - org.gradle.testing.jacoco.plugins.JacocoPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public abstract class JacocoPlugin
      extends java.lang.Object
      implements Plugin<Project>

  Plugin that provides support for generating Jacoco coverage data.
  See Also:
    JaCoCo plugin reference

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `AGENT_CONFIGURATION_NAME` |
    `static java.lang.String` | `ANT_CONFIGURATION_NAME` |
    `static java.lang.String` | `DEFAULT_JACOCO_VERSION` | The jacoco version used if none is explicitly specified.
    `static java.lang.String` | `PLUGIN_EXTENSION_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JacocoPlugin​(org.gradle.internal.reflect.Instantiator instantiator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_JACOCO_VERSION

          public static final java.lang.String DEFAULT_JACOCO_VERSION

      The jacoco version used if none is explicitly specified.
      Since:
        3.4
      See Also:
        Constant Field Values

    - #### AGENT_CONFIGURATION_NAME

          public static final java.lang.String AGENT_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### ANT_CONFIGURATION_NAME

          public static final java.lang.String ANT_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### PLUGIN_EXTENSION_NAME

          public static final java.lang.String PLUGIN_EXTENSION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JacocoPlugin

          @Inject
          public JacocoPlugin​(org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object